Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class SimpleMRTMPEdgeManager

    java.lang.Object
      org.red5.server.net.mrtmp.SimpleMRTMPEdgeManager

All Implemented Interfaces:
  IMRTMPEdgeManager, IMRTMPManager

    public class SimpleMRTMPEdgeManager

extends Object
implements IMRTMPEdgeManager

A simple Edge connection manager that only manages one Edge/Origin connection.

Version:
  $Id$
Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`SimpleMRTMPEdgeManager()`

Method Summary
`IMRTMPConnection` | `lookupMRTMPConnection(RTMPConnection conn)` Map a client to an Edge/Origin MRTMP connection.
`boolean` | `registerConnection(IMRTMPConnection conn)` Register a MRTMP connection so that it can be later been looked up.
`void` | `setRtmpConnManager(IRTMPConnManager rtmpConnManager)`
`boolean` | `unregisterConnection(IMRTMPConnection conn)` Unregister a MRTMP connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMRTMPEdgeManager

    public SimpleMRTMPEdgeManager()

Method Detail

### setRtmpConnManager

    public void setRtmpConnManager(IRTMPConnManager rtmpConnManager)

### registerConnection

    public boolean registerConnection(IMRTMPConnection conn)

  Description copied from interface: `IMRTMPManager`
  Register a MRTMP connection so that it can be later been looked up.

  Specified by:
    `registerConnection` in interface `IMRTMPManager`
  Returns:
    whether the registration is successful

### unregisterConnection

    public boolean unregisterConnection(IMRTMPConnection conn)

  Description copied from interface: `IMRTMPManager`
  Unregister a MRTMP connection.

  Specified by:
    `unregisterConnection` in interface `IMRTMPManager`
  Returns:
    whether the registration is successful

### lookupMRTMPConnection

    public IMRTMPConnection lookupMRTMPConnection(RTMPConnection conn)

  Description copied from interface: `IMRTMPManager`
  Map a client to an Edge/Origin MRTMP connection. On Edge, the server will find an Origin connection per routing logic. On Origin, the server will send to the original in-coming connection if the client connection type is persistent. Or the latest in-coming connection will be used.

  Specified by:
    `lookupMRTMPConnection` in interface `IMRTMPManager`
  Returns:
    the IMRTMPConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project